List the hooks in a repository
GET
/repos/{owner}/{repo}/hooks
const url = 'https://gitea.example.com/api/v1/repos/example/example/hooks';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/hooks \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Query Parameters
Section titled “Query Parameters”page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”HookList
Media typeapplication/json
Array<object>
Hook a hook is a web hook when one repository changed
object
active
boolean
authorization_header
string
branch_filter
string
config
object
key
additional properties
string
created_at
string format: date-time
events
Array<string>
id
integer format: int64
type
string
updated_at
string format: date-time
Examplegenerated
[ { "active": true, "authorization_header": "example", "branch_filter": "example", "config": { "additionalProperty": "example" }, "created_at": "2026-04-15T12:00:00Z", "events": [ "example" ], "id": 1, "type": "example", "updated_at": "2026-04-15T12:00:00Z" }]APINotFound is a not found empty response
Media typeapplication/json